Bug 179026 - New port: security/py-SecretStorage Store passwords using the SecretService DBus API
Summary: New port: security/py-SecretStorage Store passwords using the SecretService D...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-27 21:40 UTC by Douglas Thrift
Modified: 2013-05-29 01:40 UTC (History)
1 user (show)

See Also:


Attachments
py-SecretStorage.shar (2.39 KB, text/plain)
2013-05-27 21:40 UTC, Douglas Thrift
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2013-05-27 21:40:00 UTC
From README:

This module provides a way to securely storing passwords and other secrets.

It uses DBus Secret Service API that is supported by GNOME Keyring (>= 2.30) and
KWallet (>= 4.8).

It allows to create new passwords, delete and search for passwords matching
given attributes. It also supports graphical prompts when unlocking is needed.

https://redports.org/buildarchive/20130526184700-1131/
Comment 1 Edwin Groothuis freebsd_committer 2013-05-27 21:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->xfce

xfce@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-05-28 06:57:38 UTC
Responsible Changed
From-To: xfce->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2013-05-29 01:35:29 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 4 dfilter service freebsd_committer 2013-05-29 01:36:01 UTC
Author: miwi
Date: Wed May 29 00:35:48 2013
New Revision: 319330
URL: http://svnweb.freebsd.org/changeset/ports/319330

Log:
  SecretService provides a way to securely storing passwords and other secrets in
  Python.
  
  It uses DBus Secret Service API that is supported by GNOME Keyring (>= 2.30) and
  KWallet (>= 4.8).
  
  It allows to create new passwords, delete and search for passwords matching
  given attributes. It also supports graphical prompts when unlocking is needed.
  
  WWW: http://pypi.python.org/pypi/SecretStorage
  
  PR:		ports/179026
  Submitted by:	Douglas Thrift <douglas@douglasthrift.net>

Added:
  head/security/py-SecretStorage/
  head/security/py-SecretStorage/Makefile   (contents, props changed)
  head/security/py-SecretStorage/distinfo   (contents, props changed)
  head/security/py-SecretStorage/pkg-descr   (contents, props changed)
  head/security/py-SecretStorage/pkg-plist   (contents, props changed)
Modified:
  head/security/Makefile

Modified: head/security/Makefile
==============================================================================
--- head/security/Makefile	Wed May 29 00:34:17 2013	(r319329)
+++ head/security/Makefile	Wed May 29 00:35:48 2013	(r319330)
@@ -735,6 +735,7 @@
     SUBDIR += py-Products.PlonePAS
     SUBDIR += py-Products.PluggableAuthService
     SUBDIR += py-RestrictedPython
+    SUBDIR += py-SecretStorage
     SUBDIR += py-bcrypt
     SUBDIR += py-borg.localrole
     SUBDIR += py-cerealizer

Added: head/security/py-SecretStorage/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/py-SecretStorage/Makefile	Wed May 29 00:35:48 2013	(r319330)
@@ -0,0 +1,20 @@
+# Created by: Douglas Thrift <douglas@douglasthrift.net>
+# $FreeBSD$
+
+PORTNAME=	SecretStorage
+PORTVERSION=	1.0.0
+CATEGORIES=	security python
+MASTER_SITES=	CHEESESHOP
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	Store passwords using the SecretService DBus API
+
+LICENSE=	BSD
+
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}dbus>=0.84.0:${PORTSDIR}/devel/py-dbus
+
+USE_PYTHON=	yes
+USE_PYDISTUTILS=	yes
+
+.include <bsd.port.mk>

Added: head/security/py-SecretStorage/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/py-SecretStorage/distinfo	Wed May 29 00:35:48 2013	(r319330)
@@ -0,0 +1,2 @@
+SHA256 (SecretStorage-1.0.0.tar.gz) = 27c441f2cf524edaa0cf39abb4a9f65cde6ab99bb1471a9e2cdb11ffcfbc0081
+SIZE (SecretStorage-1.0.0.tar.gz) = 14063

Added: head/security/py-SecretStorage/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/py-SecretStorage/pkg-descr	Wed May 29 00:35:48 2013	(r319330)
@@ -0,0 +1,10 @@
+SecretService provides a way to securely storing passwords and other secrets in
+Python.
+
+It uses DBus Secret Service API that is supported by GNOME Keyring (>= 2.30) and
+KWallet (>= 4.8).
+
+It allows to create new passwords, delete and search for passwords matching
+given attributes. It also supports graphical prompts when unlocking is needed.
+
+WWW: http://pypi.python.org/pypi/SecretStorage

Added: head/security/py-SecretStorage/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/py-SecretStorage/pkg-plist	Wed May 29 00:35:48 2013	(r319330)
@@ -0,0 +1,19 @@
+%%PYTHON_SITELIBDIR%%/secretstorage/__init__.py
+%%PYTHON_SITELIBDIR%%/secretstorage/__init__.pyc
+%%PYTHON_SITELIBDIR%%/secretstorage/__init__.pyo
+%%PYTHON_SITELIBDIR%%/secretstorage/collection.py
+%%PYTHON_SITELIBDIR%%/secretstorage/collection.pyc
+%%PYTHON_SITELIBDIR%%/secretstorage/collection.pyo
+%%PYTHON_SITELIBDIR%%/secretstorage/defines.py
+%%PYTHON_SITELIBDIR%%/secretstorage/defines.pyc
+%%PYTHON_SITELIBDIR%%/secretstorage/defines.pyo
+%%PYTHON_SITELIBDIR%%/secretstorage/exceptions.py
+%%PYTHON_SITELIBDIR%%/secretstorage/exceptions.pyc
+%%PYTHON_SITELIBDIR%%/secretstorage/exceptions.pyo
+%%PYTHON_SITELIBDIR%%/secretstorage/item.py
+%%PYTHON_SITELIBDIR%%/secretstorage/item.pyc
+%%PYTHON_SITELIBDIR%%/secretstorage/item.pyo
+%%PYTHON_SITELIBDIR%%/secretstorage/util.py
+%%PYTHON_SITELIBDIR%%/secretstorage/util.pyc
+%%PYTHON_SITELIBDIR%%/secretstorage/util.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/secretstorage
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"